<?php
require("../../config/koneksi.php");
require("../../config/function.php");
require("../../config/crud.php");
(isset($_GET['pg'])) ? $pg = $_GET['pg'] : $pg = '';


if ($pg == 'editmapel') {
    $kode = $_POST['kode'];
	$data=[
	'urut'=> $_POST['urut'],
	'kelompok'=> $_POST['kelompok']
	];
    $exec = update($koneksi, 'mata_pelajaran',$data, ['kode_mapel' => $kode]);
	 $exec = update($koneksi, 'jadwal_mapel',$data, ['kode' => $kode]);
}
if ($pg == 'tambah_proto') {
     $datax = [
        'kode_mapel' => $_POST['kode'],
		 'nama_mapel' => $_POST['nama'],
		 'nourut' => $_POST['urut'],
		  'tingkat' => $_POST['tingkat'],
		    'fase' => $_POST['fase']
		];
		$where = [
       
		 'nourut' => $_POST['urut'],
		  'tingkat' => $_POST['tingkat'],
		  'fase' => $_POST['fase']
		];
		$cekmapel = rowcount($koneksi, 'mapel_proto', $where);
    if ($cekmapel > 0) {
        echo "Mapel sudah ada";
    } else {
    $exec = insert($koneksi, 'mapel_proto', $datax);
	  echo $exec;
	   }
}
if ($pg == 'hapus') {
    $id = $_POST['id'];
    delete($koneksi, 'mapel_proto', ['idm' => $id]);
}
if ($pg == 'hapus_formatif') {
    $mapel = $_POST['mapel'];
    delete($koneksi, 'nilai_formatif',['mapel'=>$mapel]);
}

if ($pg == 'jadwal_proto') {
     $data = [
        'kode' => $_POST['kode'],
		 'mapel' => $_POST['mapel'],
		 'nourut' => $_POST['nourut'],
		  'tingkat' => $_POST['tingkat'],
		  'kelas' => $_POST['kelas'],
		    'fase' => $_POST['fase'],
			'idguru' => $_POST['guru']
		];
		$where = [
        'kode' => $_POST['kode'],
		 'mapel' => $_POST['mapel'],
		 'nourut' => $_POST['nourut'],
		  'tingkat' => $_POST['tingkat'],
		  'kelas' => $_POST['kelas'],
		    'fase' => $_POST['fase']
			
		];
		$cekmapel = rowcount($koneksi, 'jadwal_proto', $where);
    if ($cekmapel > 0) {
        echo "Jadwal sudah ada";
    } else {
    $exec = insert($koneksi, 'jadwal_proto', $data);
	  echo $exec;
	   }
}
if ($pg == 'tambah_eskul') {
  $data = [
				'ekstra' => $_POST['eskul'],
				'idguru'=>$_POST['guru']
				
    ];
    
	
	 $cek = rowcount($koneksi, 'm_eskul', $data);
            if ($cek == 0) {
            $exec = insert($koneksi, 'm_eskul', $data);
            echo $exec;
        }
}
if ($pg == 'hapus_eskul') {
    $id = $_POST['id'];
    delete($koneksi, 'm_eskul',['id'=>$id]);
}
if ($pg == 'eskul') {

  $data = [
				
			'eskul' => $_POST['eskul'],
				'idguru'=>$_POST['guru'],
				'idsiswa'=>$_POST['ids']
    ];
    
	$cek = rowcount($koneksi, 'siswa_eskul', $data);
            if ($cek == 0) {
	
    $exec = insert($koneksi, 'siswa_eskul', $data);
	  echo $exec;
			}else{
				echo"Gagal";
			}
}
if ($pg == 'editeskul') {
    $id = $_POST['id'];
	$data=[
	'nilai'=> $_POST['nilai'],
	'ket'=> $_POST['ket']
	
	];
    $exec = update($koneksi, 'siswa_eskul',$data, ['id' => $id]);
	 echo $exec;
}
if ($pg == 'editabsen') {
    $id = $_POST['id'];
	$data=[
	'alpha'=> $_POST['alpha'],
	'sakit'=> $_POST['sakit'],
	'izin'=> $_POST['izin']
	
	];
    $exec = update($koneksi, 'siswa_ptm',$data, ['id_siswa' => $id]);
	 echo $exec;
}
if ($pg == 'editprestasi') {
    $id = $_POST['id'];
	$data=[
	'prestasi'=> $_POST['prestasi'],
	'ket_prestasi'=> $_POST['ket']
	
	];
    $exec = update($koneksi, 'siswa_ptm',$data, ['id_siswa' => $id]);
	echo $exec;
}
if ($pg == 'editcatat') {
    $id = $_POST['id'];
	$data=[
	'catatan'=> $_POST['catat']
	
	
	];
    $exec = update($koneksi, 'siswa_ptm',$data, ['id_siswa' => $id]);
	echo $exec;
}
if ($pg == 'hapus_jadwal_proto') {
    $id = $_POST['id'];
    delete($koneksi, 'jadwal_proto',['id_jadwal'=>$id]);
}
if ($pg == 'hapuseskul') {
    $id = $_POST['id'];
    delete($koneksi, 'siswa_eskul', ['id' => $id]);
}